Package com.pixelmed.convert

# Class ConvertAmicasJPEG2000FilesetToDicom.OnlySuffixFilenameFilter

java.lang.Object
com.pixelmed.convert.ConvertAmicasJPEG2000FilesetToDicom.OnlySuffixFilenameFilter

All Implemented Interfaces:
  `FilenameFilter`

Enclosing class:
  ConvertAmicasJPEG2000FilesetToDicom

public final class ConvertAmicasJPEG2000FilesetToDicom.OnlySuffixFilenameFilter extends Object implements FilenameFilter

Instances of this class select only File names that end with the specified suffix.

The comparison is case-insensitive.

If a period is expected to precede the suffix, it should be included in the suffix specified in the constructor, e.g., ".dcm".

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`suffix`

## Constructor Summary

Constructors
Constructor
Description
`OnlySuffixFilenameFilter(String suffix)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(File file, String name)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### suffix

protected String suffix

## Constructor Details

### OnlySuffixFilenameFilter

public OnlySuffixFilenameFilter(String suffix)

## Method Details

### accept

public boolean accept(File file, String name)

Specified by:
  `accept` in interface `FilenameFilter`